### File

`packages/components/eui-select/eui-select-control.directive.ts`

### Extends

`SelectControlValueAccessor`

### Implements

`ControlValueAccessor` `OnChanges` `DoCheck`

### Metadata

Providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiSelectControlValueAccessor), multi: true, }`
Selector | `select:not([multiple])[formControlName][euiSelect],select:not([multiple])[formControl][euiSelect],select:not([multiple])[ngModel][euiSelect]`

### Index

###### Methods
registerOnChange setDisabledState writeValue
###### Inputs
placeholder

### Constructor

`constructor()`

### Inputs

placeholder
Type : `string`

### Methods

registerOnChange
`registerOnChange(fn: (value: any) => void)`
Parameters :
Name | Type | Optional
fn | `function` | No
Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

writeValue
`writeValue(value: any)`
Sets the "value" property on the select element. Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

# results matching ""

# No results matching ""